import request from '@/utils/request'
// 资质json数据
let aptitudeCode= function aptitudeCode(param) {
  return request({
    url: 'https://files.jiansheku.com/file/json/common/aptitudeCode.json',
    method: 'get',
  })
}
// 人员json数据
let personCert= function personCert(param) {
  return request({
    url: 'https://files.jiansheku.com/file/json/common/personCert.json',
    method: 'get',
  })
}
// 备案网站
let searchDic= function searchDic(param) {
  return request({
    url: 'https://files.jiansheku.com/file/json/common/searchDic.json',
    method: 'get',
  })
}
// 备案网站
let regionWebList= function regionWebList(param) {
  return request({
    url: '/nationzj/enterprice/regionWebList',
    method: 'get',
  })
}
// 地区
let region= function region(param) {
  return request({
    url: '/system/region/list/'+param,
    method: 'get',
  })
}
// 查甲方选项
let uipGroupData= function uipGroupData(param) {
  return request({
    url: '/enterprise/uipGroupData',
    method: 'post',
	data: param
  })
}
// 查甲方列表
let uipSerach= function uipSerach(param) {
  return request({
    url: '/enterprise/uipSerach',
    method: 'post',
	data: param
  })
}
// 认领用户
let claim= function claim(param) {
  return request({
    url: '/customer/claim',
    method: 'post',
	data: param
  })
}
// 取消认领用户
let cancelClaim= function cancelClaim(data) {
  return request({
    url: '/customer/cancelClaim/'+data,
    method: 'put',
	  // data: data
  })
}
// 历史认领用户
let historyClaim= function historyClaim(data) {
  return request({
    url: '/customer/historyClaim/'+data,
    method: 'put',
	  // data: data
  })
}
// 客户状态
let customerStatus= function customerStatus(data) {
  return request({
    url: '/customer/status/'+data,
    method: 'get',
	  // data: data
  })
}
// 查建筑企业

let enterprisePage= function enterprisePage(param) {
  return request({
    url: '/enterprise/page',
    method: 'post',
	data: param
  })
}
// 甲方详情-公司概要
let infoHeader= function infoHeader(param) {
  return request({
    url: '/enterprise/infoHeader',
    method: 'post',
	data: param
  })
}
// 搜索集团户
let searchCentralEnterprse= function searchCentralEnterprse(param) {
  return request({
    url: '/combine/info/index',
    method: 'post',
	data: param
  })
}
// 央企
let centralEnterprse= function centralEnterprse(param) {
  return request({
    url: '/combine/info/centralEnterprse',
    method: 'post',
	data: param
  })
}
// 央企子集团
let centralEnterprseChild= function centralEnterprseChild(param) {
  return request({
    url: '/combine/info/centralEnterprse/child',
    method: 'post',
	data: param
  })
}
// 央企子集团更多
let centralEnterprseChildPage= function centralEnterprseChildPage(param) {
  return request({
    url: '/combine/info/centralEnterprse/child/page',
    method: 'post',
	data: param
  })
}
// 地方国企
let centralEnterprselocal= function centralEnterprselocal(param) {
  return request({
    url: '/combine/info/centralEnterprse/local',
    method: 'post',
	data: param
  })
}
// 地方国企更多
let centralEnterprselocalPage= function centralEnterprselocalPage(param) {
  return request({
    url: '/combine/info/centralEnterprse/local/page',
    method: 'post',
	data: param
  })
}
// 民营集团
let centralEnterprsesocial= function centralEnterprsesocial(param) {
  return request({
    url: '/combine/info/centralEnterprse/social',
    method: 'post',
	data: param
  })
}
// 民营集团更多
let centralEnterprsesocialPage= function centralEnterprsesocialPage(param) {
  return request({
    url: '/combine/info/centralEnterprse/social/page',
    method: 'post',
	data: param
  })
}
//企业标签
let label= function label(param) {
  return request({
    url: '/enterprise/label',
    method: 'post',
	data: param
  })
}


export default {label,centralEnterprsesocialPage,centralEnterprselocalPage,centralEnterprseChildPage,centralEnterprsesocial,centralEnterprselocal,centralEnterprseChild,searchCentralEnterprse,centralEnterprse,region,aptitudeCode,personCert,searchDic,regionWebList,uipGroupData,uipSerach,claim,cancelClaim,enterprisePage,infoHeader,historyClaim,customerStatus}
